//JSON结构化数据显示模块
var json_view = function (option, success) {
    var object = new JsonView(option);
    success();
    return object;
}

function JsonView(option) {
    this.markControl = option.markControl;
    this.init();
    this.markControl.on('step.board.show', this, function (event, context, eventObject) {
        this.container.removeClass('span12');
        this.container.addClass('span10');
    });
    this.markControl.on('step.board.hide', this, function (event, context, eventObject) {
        this.container.removeClass('span10');
        this.container.addClass('span12');
    });
    this.markControl.on('task.get.before', this, function (event, context, eventObject) {
        this.task = undefined;
        this.render();
    });
    this.markControl.on('task.get.success', this, function (event, context, eventObject) {
        this.task = context.task;
        this.render();
    });
    this.markControl.on('task.get.none', this, function (event, context, eventObject) {
        this.task = undefined;
        this.render();
    });
    this.markControl.on('mark.setting.init', this, function (event, context, setting) {
        var scale = setting['image.view.scale'];
        if (scale != undefined) {
            this.scale = Number(scale);
        }
    });
}

JsonView.prototype.init = function () {
    var self = this;
    this.container = this.markControl.container.imageContent;
    this.container.height(this.markControl.container.centerContent.height());
    this.container.css('overflow', 'scroll');
    this.container.addClass('rich-text');
}

JsonView.prototype.render = function () {
    this.container.empty();
    if (this.task != undefined && this.task.jsonData != undefined) {
        let questions = this.task.jsonData || [];
        questions.forEach(question => {
            // TODO-增加按题号过滤
            $(renderRichText(question.body)).appendTo(this.container);
        });
        this.markControl.trigger('task.load.finish');
    }
}